GNU Radio 2.x: gr_buffer_reader Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_buffer_reader Class Reference
[Implementation Details]

`#include <gr_buffer.h>`

Collaboration diagram for gr_buffer_reader:

[legend]
List of all members.

## Detailed Description

How we keep track of the readers of a gr_buffer.

## Public Member Functions
| ~gr_buffer_reader ()
int | items_available () const
| Return number of items available for reading.
int | max_possible_items_available () const
| Return maximum number of items that could ever be available for reading. This is used as a sanity check in the scheduler to avoid looping forever.
const void * | read_pointer ()
| return pointer to read buffer.
void | update_read_pointer (int nitems)
void | set_done (bool done)
bool | done () const
## Friends
class | gr_buffer
gr_buffer_reader_sptr | gr_buffer_add_reader (gr_buffer_sptr buf, int history)
| create a new gr_buffer_reader and attach it to buffer `buf`

## Constructor & Destructor Documentation

gr_buffer_reader::~gr_buffer_reader | ( |  | ) |

## Member Function Documentation

bool gr_buffer_reader::done | ( |  | ) | const`[inline]`

int gr_buffer_reader::items_available | ( |  | ) | const

| Return number of items available for reading.

int gr_buffer_reader::max_possible_items_available | ( |  | ) | const`[inline]`

| Return maximum number of items that could ever be available for reading. This is used as a sanity check in the scheduler to avoid looping forever.

const void * gr_buffer_reader::read_pointer | ( |  | ) |

| return pointer to read buffer. The return value points to items_available() number of items

void gr_buffer_reader::set_done | ( | bool | done | ) | `[inline]`

void gr_buffer_reader::update_read_pointer | ( | int | nitems | ) |

## Friends And Related Function Documentation

friend class gr_buffer`[friend]`

gr_buffer_reader_sptr gr_buffer_add_reader | ( | gr_buffer_sptr | buf,
|  | int | history
| ) | `[friend]`

| create a new gr_buffer_reader and attach it to buffer `buf`

The documentation for this class was generated from the following files:

- gr_buffer.h
- gr_buffer.cc